> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Token Wallet Refs Distribution

> Replaces an employee stablecoin allocation set after cutoff and terms checks, writing agreements, history, HRIS sync.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/set-token-wallet-refs-distribution
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/set-token-wallet-refs-distribution:
    post:
      operationId: setTokenWalletRefsDistribution
      summary: Set Token Wallet Refs Distribution
      description: >-
        Replaces an employee stablecoin allocation set after cutoff and terms
        checks, writing agreements, history, HRIS sync.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetTokenWalletRefsDistributionRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetTokenWalletRefsDistributionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SetTokenWalletRefsDistributionRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
        tokenWalletRefsConfig:
          type: array
          items:
            type: object
            properties:
              walletID:
                type: string
              distRatio:
                type: number
              distributionType:
                type: string
                enum:
                  - PERCENTAGE
                  - FIXED_AMOUNT
              fixedAmount:
                type: number
            required:
              - walletID
              - distRatio
        isContractorStablecoinPayroll:
          type: boolean
        hasAcceptedTerms:
          type: boolean
        userAgent:
          type: string
      required:
        - roleInOrgID
        - tokenWalletRefsConfig
    SetTokenWalletRefsDistributionResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
